package com.docus.server.archivefile.service;

import com.docus.server.entity.auth.TaskConfigTest;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;

import java.util.List;

/**
* <p>
* 主动任务测试对象 ITaskConfigTestService 服务接口
* </p>
*
* @author AutoGenerator
* @since 2023-07-05
*/
public interface ITaskConfigTestService {

    TaskConfigTest findById(String id);

    boolean add(TaskConfigTest taskConfigTest);

    boolean edit(TaskConfigTest taskConfigTest);

    int delete(List<String> ids);

    PageResult<TaskConfigTest> search(SearchRequest searchRequest);
}
